Adobe Reader got security issue; Users turned to Foxit Reader but…

Foxit Reader will serve you Ask Toolbar that until now have questionable status.  Corrine said “Beware Foxit Reader Includes AskToolbar!” and I have to agree with her because Ask Toolbar has vulnerability too that is unpatched since 2007.  At least, Adobe guys are saying something and they are always patching if required because Security matters!

See the post of Corrine at CoU and at her Security Garden

And if you like to stay away from products with vulnerable toolbar, see the Installers Hall of Shame

Leave a Reply